Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- p
- r
- s
- t
- u
- v
- w

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages

### - _ -

- _ARGS : cutil.h

### - a -

- ADAPT_CLASS : adaptive.h
- ADAPT_TEMPLATES : adaptive.h
- ARRAY : tessarray.h

### - b -

- BIT_VECTOR : bitvec.h
- BLOB_CHOICE_LIST_VECTOR : ratngs.h
- BLOB_WEIGHTS : associate.h
- BLOB_WIDTH : stopper.h
- BOOL8 : host.h
- BOUNDS_RECT : gradechop.h
- BOXA : capi.h

### - c -

- CANCEL_FUNC : ocrclass.h
- CERTAINTY : matchdefs.h
- CF_FUNC : extract.cpp
- CHAR_DESC : featdefs.h
- CHAR_FEATURES : ocrfeatures.h
- CLASS_CUTOFF_ARRAY : cutoffs.h
- CLASS_ID : matchdefs.h
- CLASS_PRUNER_RESULTS : intmatcher.h
- CLASS_TYPE : protos.h
- CLASSES : protos.h
- CLUSTER : cluster.h
- COLOUR_PIX : img.h
- CONFIG_PRUNER : intproto.h
- CONFIGS : protos.h

### - d -

- DANGERR : stopper.h
- DENSITYFUNC : cluster.cpp

### - e -

- EDGE_ARRAY : dawg.h
- EDGE_INDEX : trie.h
- EDGE_RECORD : dawg.h
- EDGE_REF : dawg.h
- EDGE_VECTOR : trie.h
- ETEXT_DESC : capi.h
- EVALUATION_ARRAY : associate.h

### - f -

- FEATURE : ocrfeatures.h
- FEATURE_DEFS : featdefs.h
- FEATURE_DESC : ocrfeatures.h
- FEATURE_ID : matchdefs.h
- FEATURE_SET : ocrfeatures.h
- FLOAT32 : host.h
- FLOAT64 : host.h
- FVECTOR : fpoint.h
- FX_FUNC : ocrfeatures.h

### - h -

- HASH_TABLE : closed.h

### - i -

- IMAGE_OPENER : img.h
- IMAGE_READER : img.h
- IMAGE_WRITER : img.h
- inT16 : host.h
- inT32 : host.h
- inT64 : host.h
- inT8 : host.h
- INT_CLASS : intproto.h
- int_compare : cutil.h
- INT_FEATURE : intproto.h , baseapi.h
- INT_FEATURE_ARRAY : intproto.h , baseapi.h
- INT_PROTO : intproto.h
- INT_RESULT : intmatcher.h
- INT_TEMPLATES : intproto.h
- int_void : cutil.h
- intProc : tessarray.h

### - l -

- LABELEDLIST : commontraining.h
- LIST : oldlist.h , baseapi.h

### - m -

- MATRIX_2D_PTR : xform2d.h
- MERGE_CLASS : commontraining.h
- MFBLOCK : mfdefs.h
- MFOUTLINE : mfoutline.h
- MicroFeature : mf.h
- MICROFEATURE : mfdefs.h
- MICROFEATURES : mfdefs.h

### - n -

- NODE_MAP : dawg.h
- NODE_MARKER : trie.h
- NODE_REF : dawg.h

### - p -

- PERM_CONFIG : adaptive.h
- PIECES_STATE : states.h
- PIX : capi.h
- PIXA : capi.h
- POINT_GROUP : chop.h
- PRIORITY : seam.h
- PROTO : protos.h
- PROTO_ID : matchdefs.h
- PROTO_PRUNER : intproto.h
- PROTO_SET : intproto.h

### - r -

- RATING : matchdefs.h

### - s -

- SAMPLE : cluster.h
- SEAM : seam.h
- SEAM_PILE : findseam.h
- SEAM_QUEUE : findseam.h
- SEAMS : seam.h
- SEARCH_STATE : states.h
- SOLVEFUNC : cluster.cpp
- SORTED_CLASSES : matchdefs.h
- SPLIT : split.h
- SPLIT_GROUP : chop.h
- SPLITS : split.h

### - t -

- TEMP_CONFIG : adaptive.h
- TEMP_PROTO : adaptive.h
- TESS_MATCHER : tfacep.h
- TESS_TESTER : tfacep.h
- TessBaseAPI : capi.h
- TessMutableIterator : capi.h
- TessOcrEngineMode : capi.h
- TessOrientation : capi.h
- TessPageIterator : capi.h
- TessPageIteratorLevel : capi.h
- TessPageSegMode : capi.h
- TessPolyBlockType : capi.h
- TessResultIterator : capi.h
- TessTextlineOrder : capi.h
- TessWritingDirection : capi.h
- TRAPERROR : danerror.h
- TRIE_NODES : trie.h

### - u -

- uinT16 : host.h
- uinT32 : host.h
- uinT64 : host.h
- uinT8 : host.h
- UNICHAR_ID : unichar.h

### - v -

- VECTOR : blobs.h
- VIABLE_CHOICE : stopper.h
- void_dest : cutil.h
- void_proc : cutil.h
- VOID_PROC : danerror.h
- void_void : cutil.h
- voidProc : tessarray.h

### - w -

- WERD_CHOICE_LIST_VECTOR : ratngs.h